package com.imprimelibros.erp.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.web.SecurityFilterChain;

@Configuration
public class SecurityConfig {

    @Bean
    public SecurityFilterChain securityFilterChain(HttpSecurity http) throws Exception {
        http
                .authorizeHttpRequests(auth -> auth
                        .requestMatchers(
                                "/",
                                "/assets/**",
                                "/css/**",
                                "/js/**",
                                "/images/**",
                                "/public/**",
                                "/error",
                                "/presupuesto/public/**",
                                "/favicon.ico")
                        .permitAll()
                        .anyRequest().authenticated())
                .csrf(csrf -> csrf
                        .ignoringRequestMatchers("/presupuesto/public/**"))
                .formLogin(login -> login
                        // .loginPage("/login") añadir cuando se tenga login personalizado
                        .permitAll())
                .logout(logout -> logout.permitAll());

        return http.build();
    }
}
